Page MenuHomePhabricator

Parsoid code is exposed when switching to wikitext editor
Closed, ResolvedPublic

Description

When an entry is more complex than a plain text - e.g. a formula, links, templates - clicking on switching from VE to wikitext editor will show Parsoid code briefly(sometimes it even stays for almost two min).

  1. In wikitext editor paste

<math>\ S[x(\tau)+\delta x(\tau)]-S[x(\tau)] =0</math>

Save changes.

  1. Click on Edit, and switch to VE. Add something to the entry and Save - the goal is to make VE to open next time by default.
  1. Open the entry again - it should open in VE. Then switch to wikitext editor.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2015, 11:27 PM
Catrope claimed this task.Apr 30 2015, 5:55 PM
Catrope triaged this task as Unbreak Now! priority.
Catrope set Security to None.

Change 207870 had a related patch set uploaded (by Catrope):
Don't show Parsoid HTML in textarea while loading VE

https://gerrit.wikimedia.org/r/207870

Change 207870 merged by jenkins-bot:
Don't show Parsoid HTML in textarea while loading VE

https://gerrit.wikimedia.org/r/207870

DannyH closed this task as Resolved.May 4 2015, 10:39 PM
DannyH added a subscriber: DannyH.